CPU_ROOTCONF(9)

NAME
cpu_rootconf - machine-dependent root file system setup

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
void
cpu_rootconf(void);

DESCRIPTION
cpu_rootconf() is the machine-dependent interface invoked during system bootstrap to determine the root file system device and initialize machine-dependent file system state. cpu_rootconf() invokes the machine-independent function setroot() to record the boot/root device and the boot partition information for use in machine-independent code.

SEE ALSO
setroot(9)